`timescale 1ns/1ps
module
CoreAHBLite_I11
(
HCLK
,
HRESETn
,
HTRANS
,
CoreAHBLite_OOOI
,
HREADY
,
CoreAHBLite_IOOI
,
HRESP
)
;
input
HCLK
;
input
HRESETn
;
input
[
1
:
0
]
HTRANS
;
input
CoreAHBLite_OOOI
;
input
HREADY
;
output
CoreAHBLite_IOOI
;
output
[
1
:
0
]
HRESP
;
`define CoreAHBLite_llOI  \
2 \
'b \
00
`define CoreAHBLite_O0OI  \
2 \
'b \
01
`define CoreAHBLite_I0OI  \
2 \
'b \
10
`define CoreAHBLite_l0OI  \
2 \
'b \
11
`define CoreAHBLite_O1OI  \
2 \
'b \
00
`define CoreAHBLite_I1OI  \
2 \
'b \
01
`define CoreAHBLite_l1OI  \
2 \
'b \
10
`define CoreAHBLite_OOII  \
2 \
'b \
11
wire
HCLK
;
wire
HRESETn
;
wire
[
1
:
0
]
HTRANS
;
wire
CoreAHBLite_OOOI
;
wire
HREADY
;
wire
CoreAHBLite_IOOI
;
reg
[
1
:
0
]
HRESP
;
wire
CoreAHBLite_IOII
;
wire
CoreAHBLite_lOII
;
reg
CoreAHBLite_OIII
;
wire
[
1
:
0
]
CoreAHBLite_IIII
;
assign
CoreAHBLite_IOII
=
(
(
HREADY
==
1
'b
1
&&
CoreAHBLite_OOOI
==
1
'b
1
&&
(
HTRANS
==
`CoreAHBLite_I0OI
||
HTRANS
==
`CoreAHBLite_l0OI
)
)
?
1
'b
1
:
1
'b
0
)
;
assign
CoreAHBLite_lOII
=
(
CoreAHBLite_OIII
==
1
'b
0
?
1
'b
1
:
(
CoreAHBLite_IOII
==
1
'b
1
?
1
'b
0
:
1
'b
1
)
)
;
always
@
(
negedge
(
HRESETn
)
or
posedge
(
HCLK
)
)
begin
if
(
(
!
HRESETn
)
)
CoreAHBLite_OIII
<=
1
'b
1
;
else
CoreAHBLite_OIII
<=
CoreAHBLite_lOII
;
end
assign
CoreAHBLite_IOOI
=
CoreAHBLite_OIII
;
assign
CoreAHBLite_IIII
=
(
CoreAHBLite_IOII
==
1
'b
1
?
`CoreAHBLite_I1OI
:
`CoreAHBLite_O1OI
)
;
always
@
(
negedge
(
HRESETn
)
or
posedge
(
HCLK
)
)
begin
if
(
(
!
HRESETn
)
)
HRESP
<=
`CoreAHBLite_O1OI
;
else
begin
if
(
CoreAHBLite_OIII
)
HRESP
<=
CoreAHBLite_IIII
;
end
end
endmodule
