`timescale 1ns/10ps
module
a7sBFM
(
ABORT
,
CFGBIGEND
,
CLK
,
CLKEN
,
CPA
,
CPB
,
DBGBREAK
,
DBGEN
,
DBGEXT
,
DBGnTRST
,
DBGRQ
,
DBGTCKEN
,
DBGTDI
,
DBGTMS
,
nFIQ
,
nIRQ
,
nRESET
,
RDATA
,
ADDR
,
SIZE
,
TRANS
,
WDATA
,
WRITE
,
CPnI
,
CPnMREQ
,
CPnOPC
,
CPnTRANS
,
CPSEQ
,
CPTBIT
,
DBGACK
,
DBGCOMMRX
,
DBGCOMMTX
,
DBGnEXEC
,
DBGnTDOEN
,
DBGRNG
,
DBGTDO
,
DBGINSTRVALID
,
DMORE
,
LOCK
,
PROT
,
d_ADDR
,
d_SIZE
,
d_TRANS
,
d_WDATA
,
d_WRITE
)
;
parameter
bfm_O
=
2
'b
00
;
parameter
bfm_I
=
2
'b
01
;
parameter
bfm_l
=
2
'b
10
;
parameter
bfm_OI
=
2
'b
11
;
parameter
bfm_II
=
2
'b
00
;
parameter
bfm_lI
=
2
'b
01
;
parameter
bfm_Ol
=
2
'b
10
;
parameter
bfm_Il
=
1023
;
parameter
bfm_ll
=
20
;
parameter
bfm_O0
=
3
'b
000
;
parameter
bfm_I0
=
3
'b
001
;
parameter
bfm_l0
=
3
'b
010
;
parameter
bfm_O1
=
3
'b
011
;
parameter
bfm_I1
=
3
'b
100
;
parameter
bfm_l1
=
2
'b
00
;
parameter
bfm_OOI
=
2
'b
01
;
parameter
bfm_IOI
=
2
'b
10
;
parameter
bfm_lOI
=
2
'b
00
;
parameter
bfm_OII
=
2
'b
01
;
parameter
bfm_III
=
2
'b
10
;
parameter
bfm_lII
=
2
'b
11
;
parameter
bfm_OlI
=
4
'h
0
;
parameter
bfm_IlI
=
4
'h
1
;
input
ABORT
;
input
CFGBIGEND
;
input
CLK
;
input
CLKEN
;
input
DBGTCKEN
;
input
CPA
;
input
CPB
;
input
DBGBREAK
;
input
DBGEN
;
input
[
1
:
0
]
DBGEXT
;
input
DBGRQ
;
input
nFIQ
;
input
nIRQ
;
input
nRESET
;
input
DBGnTRST
;
input
[
31
:
0
]
RDATA
;
input
DBGTDI
;
input
DBGTMS
;
input
WRITE
;
input
[
31
:
0
]
ADDR
;
input
[
1
:
0
]
TRANS
;
input
[
31
:
0
]
WDATA
;
input
[
1
:
0
]
SIZE
;
output
CPSEQ
;
reg
CPSEQ
;
output
CPTBIT
;
reg
CPTBIT
;
output
CPnI
;
reg
CPnI
;
output
CPnMREQ
;
reg
CPnMREQ
;
output
CPnOPC
;
reg
CPnOPC
;
output
CPnTRANS
;
reg
CPnTRANS
;
output
DBGACK
;
reg
DBGACK
;
output
DBGCOMMRX
;
reg
DBGCOMMRX
;
output
DBGCOMMTX
;
reg
DBGCOMMTX
;
output
[
1
:
0
]
DBGRNG
;
reg
[
1
:
0
]
DBGRNG
;
output
DBGnEXEC
;
reg
DBGnEXEC
;
output
DBGINSTRVALID
;
reg
DBGINSTRVALID
;
output
DMORE
;
reg
DMORE
;
output
LOCK
;
wire
LOCK
;
output
[
1
:
0
]
PROT
;
wire
[
1
:
0
]
PROT
;
output
DBGTDO
;
reg
DBGTDO
;
output
DBGnTDOEN
;
reg
DBGnTDOEN
;
output
d_WRITE
;
reg
d_WRITE
;
output
[
31
:
0
]
d_ADDR
;
reg
[
31
:
0
]
d_ADDR
;
output
[
1
:
0
]
d_TRANS
;
reg
[
1
:
0
]
d_TRANS
;
output
[
31
:
0
]
d_WDATA
;
reg
[
31
:
0
]
d_WDATA
;
output
[
1
:
0
]
d_SIZE
;
reg
[
1
:
0
]
d_SIZE
;
integer
bfm_llI
;
integer
bfm_O0I
;
integer
bfm_I0I
;
integer
bfm_l0I
;
reg
[
31
:
0
]
bfm_O1I
[
0
:
bfm_Il
]
;
reg
bfm_I1I
[
0
:
bfm_Il
]
;
reg
bfm_l1I
[
0
:
bfm_Il
]
;
reg
bfm_OOl
[
0
:
bfm_Il
]
;
reg
bfm_IOl
[
0
:
bfm_Il
]
;
reg
[
21
:
0
]
bfm_lOl
[
0
:
bfm_Il
]
;
reg
bfm_OIl
[
0
:
bfm_Il
]
;
reg
[
1
:
0
]
bfm_IIl
[
0
:
bfm_Il
]
;
reg
[
31
:
0
]
bfm_lIl
[
0
:
bfm_Il
]
;
reg
bfm_Oll
[
0
:
bfm_Il
]
;
reg
[
1
:
0
]
bfm_Ill
[
0
:
bfm_Il
]
;
reg
[
31
:
0
]
bfm_lll
[
0
:
bfm_Il
]
;
reg
[
21
:
0
]
bfm_O0l
;
wire
bfm_I0l
;
wire
bfm_l0l
;
wire
bfm_O1l
;
wire
bfm_I1l
;
wire
bfm_l1l
;
reg
bfm_OO0
;
wire
[
1
:
0
]
bfm_IO0
;
wire
[
31
:
0
]
bfm_lO0
;
reg
[
31
:
0
]
bfm_OI0
;
wire
[
31
:
0
]
bfm_II0
;
wire
bfm_lI0
;
wire
[
1
:
0
]
bfm_Ol0
;
reg
[
1
:
0
]
bfm_Il0
;
wire
[
1
:
0
]
bfm_ll0
;
reg
[
1
:
0
]
bfm_O00
;
wire
[
1
:
0
]
bfm_I00
;
wire
[
31
:
0
]
bfm_l00
;
reg
[
31
:
0
]
bfm_O10
;
reg
[
31
:
0
]
bfm_I10
[
0
:
1
]
;
reg
[
31
:
0
]
bfm_l10
[
0
:
1
]
;
reg
bfm_OO1
;
reg
bfm_IO1
;
reg
bfm_lO1
;
reg
bfm_OI1
;
reg
bfm_II1
;
reg
bfm_lI1
;
reg
[
2
:
0
]
bfm_Ol1
;
reg
[
2
:
0
]
bfm_Il1
;
reg
[
1
:
0
]
bfm_ll1
;
reg
[
1
:
0
]
bfm_O01
;
reg
[
1
:
0
]
bfm_I01
;
reg
[
1
:
0
]
bfm_l01
;
reg
[
31
:
0
]
bfm_O11
;
reg
bfm_I11
;
reg
bfm_l11
;
reg
bfm_OOOI
;
reg
bfm_IOOI
;
reg
bfm_lOOI
;
reg
bfm_OIOI
;
wire
bfm_IIOI
;
wire
bfm_lIOI
;
reg
[
8
:
0
]
bfm_OlOI
;
reg
bfm_IlOI
;
reg
bfm_llOI
;
reg
bfm_O0OI
;
reg
bfm_I0OI
;
reg
bfm_l0OI
;
reg
bfm_O1OI
;
reg
bfm_I1OI
;
reg
bfm_l1OI
;
reg
bfm_OOII
;
reg
bfm_IOII
;
reg
bfm_lOII
;
reg
bfm_OIII
;
reg
bfm_IIII
;
reg
bfm_lIII
;
reg
[
31
:
0
]
bfm_OlII
;
reg
[
1
:
0
]
bfm_IlII
;
reg
[
31
:
0
]
bfm_llII
;
reg
[
1
:
0
]
bfm_O0II
;
always
@
(
bfm_lIII
)
begin
#
1
d_WRITE
=
bfm_lIII
;
end
always
@
(
bfm_OlII
)
begin
#
1
d_ADDR
=
bfm_OlII
;
end
always
@
(
bfm_IlII
)
begin
#
1
d_TRANS
=
bfm_IlII
;
end
always
@
(
bfm_llII
)
begin
#
1
d_WDATA
=
bfm_llII
;
end
always
@
(
bfm_O0II
)
begin
#
1
d_SIZE
=
bfm_O0II
;
end
assign
PROT
=
2
'b
01
;
assign
LOCK
=
1
'b
0
;
initial
begin
$write
(
"=================================================\n"
)
;
$write
(
"           Actel CoreMP7 Bus Functional Model (BFM)\n"
)
;
$write
(
"=================================================\n"
)
;
bfm_I0I
=
0
;
bfm_l0I
=
0
;
$readmemh
(
"numErrors.vec"
,
bfm_l10
)
;
if
(
bfm_l10
[
0
]
>
32
'h
0
)
begin
$write
(
"\nCoreMP7 BFM script compiler encountered %d error(s)\n"
,
bfm_l10
[
0
]
)
;
$write
(
"Please fix BFM script and re-run simulation\n"
)
;
$write
(
" - see bfmCompile.log for details of BFM script errors\n"
)
;
$stop
;
end
$readmemh
(
"numTrans.vec"
,
bfm_I10
)
;
$readmemh
(
"transInstr.vec"
,
bfm_O1I
)
;
$readmemh
(
"transAddr.vec"
,
bfm_lIl
)
;
$readmemh
(
"transData.vec"
,
bfm_lll
)
;
for
(
bfm_O0I
=
0
;
bfm_O0I
<
bfm_I10
[
0
]
;
bfm_O0I
=
bfm_O0I
+
1
)
{
bfm_lOl
[
bfm_O0I
]
,
bfm_I1I
[
bfm_O0I
]
,
bfm_l1I
[
bfm_O0I
]
,
bfm_OOl
[
bfm_O0I
]
,
bfm_IOl
[
bfm_O0I
]
,
bfm_OIl
[
bfm_O0I
]
,
bfm_IIl
[
bfm_O0I
]
,
bfm_Oll
[
bfm_O0I
]
,
bfm_Ill
[
bfm_O0I
]
}
=
bfm_O1I
[
bfm_O0I
]
[
31
:
0
]
;
@
(
posedge
bfm_OI1
)
;
end
always
@
(
posedge
CLK
or
negedge
nRESET
)
begin
if
(
!
nRESET
)
bfm_O0l
<=
bfm_lOl
[
0
]
;
else
if
(
bfm_I11
&&
(
bfm_O0l
!=
22
'h
0
)
)
bfm_O0l
<=
bfm_O0l
-
1
;
if
(
bfm_II1
||
bfm_O0OI
)
bfm_O0l
<=
bfm_lOl
[
bfm_I0I
+
1
]
;
end
always
@
(
posedge
CLK
or
negedge
nRESET
)
begin
if
(
!
nRESET
)
bfm_I0I
<=
0
;
else
if
(
bfm_II1
||
bfm_O0OI
)
bfm_I0I
<=
bfm_I0I
+
1
;
end
assign
bfm_I0l
=
bfm_I1I
[
bfm_I0I
]
;
assign
bfm_l0l
=
bfm_l1I
[
bfm_I0I
]
;
assign
bfm_O1l
=
bfm_OOl
[
bfm_I0I
]
;
assign
bfm_I1l
=
bfm_IOl
[
bfm_I0I
]
;
assign
bfm_IO0
=
bfm_IIl
[
bfm_I0I
]
;
assign
bfm_II0
=
bfm_lIl
[
bfm_I0I
]
;
assign
bfm_lI0
=
bfm_Oll
[
bfm_I0I
]
;
assign
bfm_I00
=
bfm_Ill
[
bfm_I0I
]
;
always
@
(
posedge
CLK
or
negedge
nRESET
)
begin
if
(
!
nRESET
)
bfm_l0I
<=
0
;
else
if
(
bfm_lI1
||
bfm_O0OI
)
bfm_l0I
<=
bfm_l0I
+
1
;
end
assign
bfm_l1l
=
bfm_OIl
[
bfm_l0I
]
;
assign
bfm_l00
=
bfm_lll
[
bfm_l0I
]
;
assign
bfm_Ol0
=
bfm_IIl
[
bfm_l0I
]
;
assign
bfm_ll0
=
bfm_Ill
[
bfm_l0I
]
;
assign
bfm_lO0
=
bfm_lIl
[
bfm_l0I
]
;
always
@
(
posedge
CLK
or
negedge
nRESET
)
begin
if
(
!
nRESET
)
begin
bfm_Il0
<=
2
'b
0
;
bfm_O00
<=
2
'b
0
;
bfm_OI0
<=
32
'h
0
;
bfm_O10
<=
32
'h
0
;
bfm_OO0
<=
1
'b
0
;
end
else
if
(
CLKEN
)
begin
bfm_Il0
<=
bfm_Ol0
;
bfm_O00
<=
bfm_ll0
;
bfm_OI0
<=
bfm_lO0
;
bfm_O10
<=
bfm_l00
;
bfm_OO0
<=
bfm_l1l
;
end
end
always
@
(
posedge
CLK
)
begin
if
(
bfm_lOOI
||
bfm_IOOI
)
begin
if
(
bfm_lOOI
)
begin
case
(
bfm_Il0
)
bfm_l
:
$write
(
"N-cycle: "
)
;
bfm_OI
:
$write
(
"S-cycle: "
)
;
endcase
if
(
bfm_O00
==
bfm_II
)
$write
(
"Write %x to address %x\n"
,
bfm_O10
[
7
:
0
]
,
bfm_OI0
)
;
else
if
(
bfm_O00
==
bfm_lI
)
$write
(
"Write %x to address %x\n"
,
bfm_O10
[
15
:
0
]
,
bfm_OI0
)
;
else
$write
(
"Write %x to address %x\n"
,
bfm_O10
[
31
:
0
]
,
bfm_OI0
)
;
end
else
begin
if
(
bfm_OO0
&&
(
(
bfm_O00
==
bfm_II
)
&&
(
!
CFGBIGEND
)
&&
(
(
(
bfm_OI0
[
1
:
0
]
==
2
'b
00
)
&&
(
RDATA
[
7
:
0
]
!==
bfm_O10
[
7
:
0
]
)
)
||
(
(
bfm_OI0
[
1
:
0
]
==
2
'b
01
)
&&
(
RDATA
[
15
:
8
]
!==
bfm_O10
[
7
:
0
]
)
)
||
(
(
bfm_OI0
[
1
:
0
]
==
2
'b
10
)
&&
(
RDATA
[
23
:
16
]
!==
bfm_O10
[
7
:
0
]
)
)
||
(
(
bfm_OI0
[
1
:
0
]
==
2
'b
11
)
&&
(
RDATA
[
31
:
24
]
!==
bfm_O10
[
7
:
0
]
)
)
)
)
)
begin
case
(
bfm_Il0
)
bfm_l
:
$write
(
"N-cycle: "
)
;
bfm_OI
:
$write
(
"S-cycle: "
)
;
endcase
case
(
bfm_OI0
[
1
:
0
]
)
2
'b
00
:
$write
(
"Read from address %x - data incorrect: Expected %x, Actual %x\n"
,
bfm_OI0
,
bfm_O10
[
7
:
0
]
,
RDATA
[
7
:
0
]
)
;
2
'b
01
:
$write
(
"Read from address %x - data incorrect: Expected %x, Actual %x\n"
,
bfm_OI0
,
bfm_O10
[
7
:
0
]
,
RDATA
[
15
:
8
]
)
;
2
'b
10
:
$write
(
"Read from address %x - data incorrect: Expected %x, Actual %x\n"
,
bfm_OI0
,
bfm_O10
[
7
:
0
]
,
RDATA
[
23
:
16
]
)
;
2
'b
11
:
$write
(
"Read from address %x - data incorrect: Expected %x, Actual %x\n"
,
bfm_OI0
,
bfm_O10
[
7
:
0
]
,
RDATA
[
31
:
24
]
)
;
endcase
$stop
;
end
else
if
(
bfm_OO0
&&
(
(
bfm_O00
==
bfm_II
)
&&
(
CFGBIGEND
)
&&
(
(
(
bfm_OI0
[
1
:
0
]
==
2
'b
00
)
&&
(
RDATA
[
31
:
24
]
!==
bfm_O10
[
7
:
0
]
)
)
||
(
(
bfm_OI0
[
1
:
0
]
==
2
'b
01
)
&&
(
RDATA
[
23
:
16
]
!==
bfm_O10
[
7
:
0
]
)
)
||
(
(
bfm_OI0
[
1
:
0
]
==
2
'b
10
)
&&
(
RDATA
[
15
:
8
]
!==
bfm_O10
[
7
:
0
]
)
)
||
(
(
bfm_OI0
[
1
:
0
]
==
2
'b
11
)
&&
(
RDATA
[
7
:
0
]
!==
bfm_O10
[
7
:
0
]
)
)
)
)
)
begin
case
(
bfm_Il0
)
bfm_l
:
$write
(
"N-cycle: "
)
;
bfm_OI
:
$write
(
"S-cycle: "
)
;
endcase
case
(
bfm_OI0
[
1
:
0
]
)
2
'b
00
:
$write
(
"Read from address %x - data incorrect: Expected %x, Actual %x\n"
,
bfm_OI0
,
bfm_O10
[
7
:
0
]
,
RDATA
[
31
:
24
]
)
;
2
'b
01
:
$write
(
"Read from address %x - data incorrect: Expected %x, Actual %x\n"
,
bfm_OI0
,
bfm_O10
[
7
:
0
]
,
RDATA
[
23
:
16
]
)
;
2
'b
10
:
$write
(
"Read from address %x - data incorrect: Expected %x, Actual %x\n"
,
bfm_OI0
,
bfm_O10
[
7
:
0
]
,
RDATA
[
15
:
8
]
)
;
2
'b
11
:
$write
(
"Read from address %x - data incorrect: Expected %x, Actual %x\n"
,
bfm_OI0
,
bfm_O10
[
7
:
0
]
,
RDATA
[
7
:
0
]
)
;
endcase
$stop
;
end
else
if
(
bfm_OO0
&&
(
(
bfm_O00
==
bfm_lI
)
&&
(
!
CFGBIGEND
)
&&
(
(
(
bfm_OI0
[
1
]
==
1
'b
0
)
&&
(
RDATA
[
15
:
0
]
!==
bfm_O10
[
15
:
0
]
)
)
||
(
(
bfm_OI0
[
1
]
==
1
'b
1
)
&&
(
RDATA
[
31
:
16
]
!==
bfm_O10
[
15
:
0
]
)
)
)
)
)
begin
case
(
bfm_Il0
)
bfm_l
:
$write
(
"N-cycle: "
)
;
bfm_OI
:
$write
(
"S-cycle: "
)
;
endcase
case
(
bfm_OI0
[
1
]
)
1
'b
0
:
$write
(
"Read from address %x - data incorrect: Expected %x, Actual %x\n"
,
bfm_OI0
,
bfm_O10
[
15
:
0
]
,
RDATA
[
15
:
0
]
)
;
1
'b
1
:
$write
(
"Read from address %x - data incorrect: Expected %x, Actual %x\n"
,
bfm_OI0
,
bfm_O10
[
15
:
0
]
,
RDATA
[
31
:
16
]
)
;
endcase
$stop
;
end
else
if
(
bfm_OO0
&&
(
(
bfm_O00
==
bfm_lI
)
&&
(
CFGBIGEND
)
&&
(
(
(
bfm_OI0
[
1
]
==
1
'b
0
)
&&
(
RDATA
[
31
:
16
]
!==
bfm_O10
[
15
:
0
]
)
)
||
(
(
bfm_OI0
[
1
]
==
1
'b
1
)
&&
(
RDATA
[
15
:
0
]
!==
bfm_O10
[
15
:
0
]
)
)
)
)
)
begin
case
(
bfm_Il0
)
bfm_l
:
$write
(
"N-cycle: "
)
;
bfm_OI
:
$write
(
"S-cycle: "
)
;
endcase
case
(
bfm_OI0
[
1
]
)
1
'b
0
:
$write
(
"Read from address %x - data incorrect: Expected %x, Actual %x\n"
,
bfm_OI0
,
bfm_O10
[
15
:
0
]
,
RDATA
[
31
:
16
]
)
;
1
'b
1
:
$write
(
"Read from address %x - data incorrect: Expected %x, Actual %x\n"
,
bfm_OI0
,
bfm_O10
[
15
:
0
]
,
RDATA
[
15
:
0
]
)
;
endcase
$stop
;
end
else
if
(
bfm_OO0
&&
(
(
bfm_O00
==
bfm_Ol
)
&&
(
RDATA
[
31
:
0
]
!==
bfm_O10
[
31
:
0
]
)
)
)
begin
case
(
bfm_Il0
)
bfm_l
:
$write
(
"N-cycle: "
)
;
bfm_OI
:
$write
(
"S-cycle: "
)
;
endcase
$write
(
"Read from address %x - data incorrect: Expected %x, Actual %x\n"
,
bfm_OI0
,
bfm_O10
,
RDATA
)
;
$stop
;
end
if
(
!
bfm_I1OI
&&
(
bfm_Il0
!=
bfm_O
)
)
begin
case
(
bfm_Il0
)
bfm_l
:
$write
(
"N-cycle: "
)
;
bfm_OI
:
$write
(
"S-cycle: "
)
;
endcase
if
(
(
bfm_O00
==
bfm_II
)
&&
(
!
CFGBIGEND
)
)
begin
case
(
bfm_OI0
[
1
:
0
]
)
2
'b
00
:
$write
(
"Read %x from address %x\n"
,
RDATA
[
7
:
0
]
,
bfm_OI0
)
;
2
'b
01
:
$write
(
"Read %x from address %x\n"
,
RDATA
[
15
:
8
]
,
bfm_OI0
)
;
2
'b
10
:
$write
(
"Read %x from address %x\n"
,
RDATA
[
23
:
16
]
,
bfm_OI0
)
;
2
'b
11
:
$write
(
"Read %x from address %x\n"
,
RDATA
[
31
:
24
]
,
bfm_OI0
)
;
endcase
end
else
if
(
(
bfm_O00
==
bfm_II
)
&&
(
CFGBIGEND
)
)
begin
case
(
bfm_OI0
[
1
:
0
]
)
2
'b
00
:
$write
(
"Read %x from address %x\n"
,
RDATA
[
31
:
24
]
,
bfm_OI0
)
;
2
'b
01
:
$write
(
"Read %x from address %x\n"
,
RDATA
[
23
:
16
]
,
bfm_OI0
)
;
2
'b
10
:
$write
(
"Read %x from address %x\n"
,
RDATA
[
15
:
8
]
,
bfm_OI0
)
;
2
'b
11
:
$write
(
"Read %x from address %x\n"
,
RDATA
[
7
:
0
]
,
bfm_OI0
)
;
endcase
end
else
if
(
(
bfm_O00
==
bfm_lI
)
&&
(
!
CFGBIGEND
)
)
begin
case
(
bfm_OI0
[
1
]
)
1
'b
0
:
$write
(
"Read %x from address %x\n"
,
RDATA
[
15
:
0
]
,
bfm_OI0
)
;
1
'b
1
:
$write
(
"Read %x from address %x\n"
,
RDATA
[
31
:
16
]
,
bfm_OI0
)
;
endcase
end
else
if
(
(
bfm_O00
==
bfm_lI
)
&&
(
CFGBIGEND
)
)
begin
case
(
bfm_OI0
[
1
]
)
1
'b
0
:
$write
(
"Read %x from address %x\n"
,
RDATA
[
31
:
16
]
,
bfm_OI0
)
;
1
'b
1
:
$write
(
"Read %x from address %x\n"
,
RDATA
[
15
:
0
]
,
bfm_OI0
)
;
endcase
end
else
$write
(
"Read %x from address %x\n"
,
RDATA
[
31
:
0
]
,
bfm_OI0
)
;
end
end
end
end
always
@
(
posedge
CLK
)
begin
if
(
bfm_l0OI
&&
!
bfm_I1OI
)
begin
if
(
bfm_I00
==
bfm_II
)
$write
(
"Polling address %x for bitmask %x\n"
,
bfm_II0
,
bfm_l00
[
7
:
0
]
)
;
else
if
(
bfm_I00
==
bfm_lI
)
$write
(
"Polling address %x for bitmask %x\n"
,
bfm_II0
,
bfm_l00
[
15
:
0
]
)
;
else
$write
(
"Polling address %x for bitmask %x\n"
,
bfm_II0
,
bfm_l00
[
31
:
0
]
)
;
end
if
(
bfm_I0OI
)
begin
if
(
(
bfm_I00
==
bfm_II
)
&&
(
!
CFGBIGEND
)
)
begin
case
(
bfm_II0
[
1
:
0
]
)
2
'b
00
:
$write
(
"Poll completed - read %x from address %x\n"
,
RDATA
[
7
:
0
]
,
bfm_II0
)
;
2
'b
01
:
$write
(
"Poll completed - read %x from address %x\n"
,
RDATA
[
15
:
8
]
,
bfm_II0
)
;
2
'b
10
:
$write
(
"Poll completed - read %x from address %x\n"
,
RDATA
[
23
:
16
]
,
bfm_II0
)
;
2
'b
11
:
$write
(
"Poll completed - read %x from address %x\n"
,
RDATA
[
31
:
24
]
,
bfm_II0
)
;
endcase
end
else
if
(
(
bfm_I00
==
bfm_II
)
&&
(
CFGBIGEND
)
)
begin
case
(
bfm_II0
[
1
:
0
]
)
2
'b
00
:
$write
(
"Poll completed - read %x from address %x\n"
,
RDATA
[
31
:
24
]
,
bfm_II0
)
;
2
'b
01
:
$write
(
"Poll completed - read %x from address %x\n"
,
RDATA
[
23
:
16
]
,
bfm_II0
)
;
2
'b
10
:
$write
(
"Poll completed - read %x from address %x\n"
,
RDATA
[
15
:
8
]
,
bfm_II0
)
;
2
'b
11
:
$write
(
"Poll completed - read %x from address %x\n"
,
RDATA
[
7
:
0
]
,
bfm_II0
)
;
endcase
end
else
if
(
(
bfm_I00
==
bfm_lI
)
&&
(
!
CFGBIGEND
)
)
begin
case
(
bfm_II0
[
1
]
)
1
'b
0
:
$write
(
"Poll completed - read %x from address %x\n"
,
RDATA
[
15
:
0
]
,
bfm_II0
)
;
1
'b
1
:
$write
(
"Poll completed - read %x from address %x\n"
,
RDATA
[
31
:
16
]
,
bfm_II0
)
;
endcase
end
else
if
(
(
bfm_I00
==
bfm_lI
)
&&
(
CFGBIGEND
)
)
begin
case
(
bfm_II0
[
1
]
)
1
'b
0
:
$write
(
"Poll completed - read %x from address %x\n"
,
RDATA
[
31
:
16
]
,
bfm_II0
)
;
1
'b
1
:
$write
(
"Poll completed - read %x from address %x\n"
,
RDATA
[
15
:
0
]
,
bfm_II0
)
;
endcase
end
else
$write
(
"Poll completed - read %x from address %x\n"
,
RDATA
[
31
:
0
]
,
bfm_II0
)
;
end
end
assign
bfm_lIOI
=
bfm_IlOI
&&
bfm_llOI
;
always
@
(
bfm_IOOI
or
bfm_I1OI
or
bfm_I00
or
bfm_l00
or
bfm_II0
or
RDATA
or
CFGBIGEND
)
begin
bfm_I0OI
=
(
bfm_IOOI
&&
bfm_I1OI
&&
(
(
(
bfm_I00
==
bfm_II
)
&&
(
!
CFGBIGEND
)
&&
(
(
(
bfm_II0
[
1
:
0
]
==
2
'b
00
)
&&
(
(
RDATA
[
7
:
0
]
&
bfm_l00
[
7
:
0
]
)
==
bfm_l00
[
7
:
0
]
)
)
||
(
(
bfm_II0
[
1
:
0
]
==
2
'b
01
)
&&
(
(
RDATA
[
15
:
8
]
&
bfm_l00
[
7
:
0
]
)
==
bfm_l00
[
7
:
0
]
)
)
||
(
(
bfm_II0
[
1
:
0
]
==
2
'b
10
)
&&
(
(
RDATA
[
23
:
16
]
&
bfm_l00
[
7
:
0
]
)
==
bfm_l00
[
7
:
0
]
)
)
||
(
(
bfm_II0
[
1
:
0
]
==
2
'b
11
)
&&
(
(
RDATA
[
31
:
24
]
&
bfm_l00
[
7
:
0
]
)
==
bfm_l00
[
7
:
0
]
)
)
)
)
||
(
(
bfm_I00
==
bfm_II
)
&&
(
CFGBIGEND
)
&&
(
(
(
bfm_II0
[
1
:
0
]
==
2
'b
00
)
&&
(
(
RDATA
[
31
:
24
]
&
bfm_l00
[
7
:
0
]
)
==
bfm_l00
[
7
:
0
]
)
)
||
(
(
bfm_II0
[
1
:
0
]
==
2
'b
01
)
&&
(
(
RDATA
[
23
:
16
]
&
bfm_l00
[
7
:
0
]
)
==
bfm_l00
[
7
:
0
]
)
)
||
(
(
bfm_II0
[
1
:
0
]
==
2
'b
10
)
&&
(
(
RDATA
[
15
:
8
]
&
bfm_l00
[
7
:
0
]
)
==
bfm_l00
[
7
:
0
]
)
)
||
(
(
bfm_II0
[
1
:
0
]
==
2
'b
11
)
&&
(
(
RDATA
[
7
:
0
]
&
bfm_l00
[
7
:
0
]
)
==
bfm_l00
[
7
:
0
]
)
)
)
)
||
(
(
bfm_I00
==
bfm_lI
)
&&
(
!
CFGBIGEND
)
&&
(
(
(
bfm_II0
[
1
]
==
1
'b
0
)
&&
(
(
RDATA
[
15
:
0
]
&
bfm_l00
[
15
:
0
]
)
==
bfm_l00
[
15
:
0
]
)
)
||
(
(
bfm_II0
[
1
]
==
1
'b
1
)
&&
(
(
RDATA
[
31
:
16
]
&
bfm_l00
[
15
:
0
]
)
==
bfm_l00
[
15
:
0
]
)
)
)
)
||
(
(
bfm_I00
==
bfm_lI
)
&&
(
CFGBIGEND
)
&&
(
(
(
bfm_II0
[
1
]
==
1
'b
0
)
&&
(
(
RDATA
[
31
:
16
]
&
bfm_l00
[
15
:
0
]
)
==
bfm_l00
[
15
:
0
]
)
)
||
(
(
bfm_II0
[
1
]
==
1
'b
1
)
&&
(
(
RDATA
[
15
:
0
]
&
bfm_l00
[
15
:
0
]
)
==
bfm_l00
[
15
:
0
]
)
)
)
)
||
(
(
bfm_I00
==
bfm_Ol
)
&&
(
(
RDATA
[
31
:
0
]
&
bfm_l00
[
31
:
0
]
)
==
bfm_l00
[
31
:
0
]
)
)
)
)
;
end
always
@
(
bfm_ll0
or
bfm_l00
)
begin
case
(
bfm_ll0
)
bfm_II
:
bfm_O11
=
{
4
{
bfm_l00
[
7
:
0
]
}
}
;
bfm_lI
:
bfm_O11
=
{
2
{
bfm_l00
[
15
:
0
]
}
}
;
default
:
bfm_O11
=
bfm_l00
;
endcase
end
assign
bfm_IIOI
=
(
(
bfm_O0l
!=
22
'h
0
)
||
(
bfm_l0l
&&
!
bfm_lIOI
)
||
(
bfm_O1l
&&
nFIQ
)
||
(
bfm_I1l
&&
nIRQ
)
)
;
always
@
(
posedge
CLK
or
negedge
nRESET
)
begin
if
(
!
nRESET
)
bfm_I1OI
<=
1
'b
0
;
else
if
(
bfm_l0OI
)
bfm_I1OI
<=
1
'b
1
;
else
if
(
bfm_O1OI
)
bfm_I1OI
<=
1
'b
0
;
else
bfm_I1OI
<=
bfm_I1OI
;
end
always
@
(
posedge
CLK
)
begin
bfm_l1OI
<=
bfm_O1l
;
bfm_OOII
<=
bfm_I1l
;
bfm_IOII
<=
nFIQ
;
bfm_lOII
<=
nIRQ
;
if
(
bfm_OIII
&&
bfm_lIOI
)
$write
(
"Waiting for nFIQ assertion\n"
)
;
if
(
bfm_IIII
&&
bfm_lIOI
)
$write
(
"Waiting for nIRQ assertion\n"
)
;
if
(
!
nFIQ
&&
bfm_IOII
)
$write
(
"nFIQ assertion detected\n"
)
;
if
(
!
nIRQ
&&
bfm_lOII
)
$write
(
"nIRQ assertion detected\n"
)
;
end
always
@
(
posedge
CLK
or
negedge
nRESET
)
begin
if
(
!
nRESET
)
bfm_OIII
<=
1
'b
0
;
else
if
(
bfm_O1l
&&
!
bfm_l1OI
)
bfm_OIII
<=
1
'b
1
;
else
if
(
bfm_lIOI
)
bfm_OIII
<=
1
'b
0
;
else
bfm_OIII
<=
bfm_OIII
;
end
always
@
(
posedge
CLK
or
negedge
nRESET
)
begin
if
(
!
nRESET
)
bfm_IIII
<=
1
'b
0
;
else
if
(
bfm_I1l
&&
!
bfm_OOII
)
bfm_IIII
<=
1
'b
1
;
else
if
(
bfm_lIOI
)
bfm_IIII
<=
1
'b
0
;
else
bfm_IIII
<=
bfm_IIII
;
end
always
@
(
bfm_Ol1
or
bfm_IIOI
or
bfm_I0l
or
bfm_lIOI
or
bfm_l0l
)
begin
bfm_IO1
=
1
'b
0
;
bfm_I11
=
1
'b
0
;
bfm_lO1
=
1
'b
0
;
bfm_l0OI
=
1
'b
0
;
case
(
bfm_Ol1
)
bfm_O0
:
begin
bfm_l11
=
1
'b
0
;
bfm_IO1
=
1
'b
1
;
bfm_Il1
=
bfm_I0
;
end
bfm_I0
:
begin
bfm_l11
=
1
'b
0
;
bfm_Il1
=
bfm_l0
;
end
bfm_l0
:
begin
if
(
bfm_I0l
)
begin
bfm_l11
=
1
'b
0
;
bfm_Il1
=
bfm_O1
;
end
else
if
(
bfm_IIOI
)
begin
bfm_l11
=
1
'b
0
;
bfm_I11
=
1
'b
1
;
bfm_Il1
=
bfm_l0
;
end
else
begin
bfm_l11
=
1
'b
1
;
bfm_l0OI
=
bfm_l0l
;
bfm_Il1
=
bfm_l0
;
end
end
bfm_O1
:
begin
bfm_l11
=
1
'b
0
;
if
(
bfm_lIOI
)
begin
bfm_lO1
=
1
'b
1
;
bfm_Il1
=
bfm_I1
;
end
else
bfm_Il1
=
bfm_O1
;
end
bfm_I1
:
begin
bfm_l11
=
1
'b
0
;
bfm_lO1
=
1
'b
1
;
bfm_Il1
=
bfm_I1
;
end
default
:
begin
bfm_l11
=
1
'b
0
;
bfm_Il1
=
bfm_O0
;
end
endcase
end
always
@
(
bfm_ll1
or
bfm_OO1
or
bfm_l11
or
CLKEN
or
bfm_l0l
or
bfm_II0
or
bfm_lI0
or
bfm_I00
or
bfm_IO0
or
ADDR
or
WRITE
or
TRANS
or
SIZE
)
begin
bfm_IlII
=
bfm_O
;
bfm_OlII
=
32
'h
xxxxxxxx
;
bfm_lIII
=
1
'b
x
;
bfm_O0II
=
2
'b
x
;
bfm_IlOI
=
1
'b
0
;
case
(
bfm_ll1
)
bfm_l1
:
begin
bfm_II1
=
1
'b
0
;
bfm_OOOI
=
1
'b
0
;
if
(
bfm_OO1
)
bfm_O01
=
bfm_OOI
;
else
bfm_O01
=
bfm_l1
;
end
bfm_OOI
:
begin
bfm_OOOI
=
1
'b
0
;
bfm_IlOI
=
1
'b
1
;
if
(
bfm_l11
)
begin
bfm_II1
=
!
bfm_l0l
;
bfm_IlII
=
bfm_IO0
;
bfm_OlII
=
bfm_II0
;
bfm_lIII
=
bfm_lI0
;
bfm_O0II
=
bfm_I00
;
bfm_O01
=
bfm_IOI
;
end
else
begin
bfm_II1
=
1
'b
0
;
bfm_O01
=
bfm_OOI
;
end
end
bfm_IOI
:
begin
if
(
CLKEN
)
begin
bfm_OOOI
=
1
'b
1
;
if
(
bfm_l11
)
begin
bfm_II1
=
1
'b
1
;
bfm_IlII
=
bfm_IO0
;
bfm_OlII
=
bfm_II0
;
bfm_lIII
=
bfm_lI0
;
bfm_O0II
=
bfm_I00
;
bfm_O01
=
bfm_IOI
;
end
else
begin
bfm_II1
=
1
'b
0
;
bfm_IlII
=
bfm_O
;
bfm_O01
=
bfm_OOI
;
end
end
else
begin
bfm_II1
=
1
'b
0
;
bfm_OOOI
=
1
'b
0
;
bfm_IlII
=
TRANS
;
bfm_OlII
=
ADDR
;
bfm_lIII
=
WRITE
;
bfm_O0II
=
SIZE
;
bfm_O01
=
bfm_IOI
;
end
end
default
:
begin
bfm_II1
=
1
'b
0
;
bfm_OOOI
=
1
'b
0
;
bfm_O01
=
bfm_l1
;
end
endcase
end
always
@
(
bfm_I01
or
bfm_OO1
or
bfm_OOOI
or
bfm_I1OI
or
bfm_I0OI
or
WRITE
or
CLKEN
or
bfm_O11
or
WDATA
)
begin
bfm_lI1
=
1
'b
0
;
bfm_IOOI
=
1
'b
0
;
bfm_lOOI
=
1
'b
0
;
bfm_llOI
=
1
'b
0
;
bfm_O0OI
=
1
'b
0
;
bfm_O1OI
=
1
'b
0
;
case
(
bfm_I01
)
bfm_lOI
:
begin
bfm_llII
=
32
'h
xxxxxxxx
;
if
(
bfm_OO1
)
bfm_l01
=
bfm_OII
;
else
bfm_l01
=
bfm_lOI
;
end
bfm_OII
:
begin
bfm_llOI
=
1
'b
1
;
if
(
bfm_OOOI
)
begin
bfm_lI1
=
!
bfm_I1OI
;
if
(
WRITE
)
begin
bfm_llII
=
bfm_O11
;
bfm_l01
=
bfm_III
;
end
else
begin
bfm_llII
=
32
'h
xxxxxxxx
;
bfm_l01
=
bfm_lII
;
end
end
else
bfm_l01
=
bfm_OII
;
end
bfm_III
:
begin
if
(
CLKEN
)
begin
bfm_lOOI
=
1
'b
1
;
if
(
bfm_OOOI
)
begin
bfm_lI1
=
1
'b
1
;
if
(
WRITE
)
begin
bfm_llII
=
bfm_O11
;
bfm_l01
=
bfm_III
;
end
else
begin
bfm_llII
=
32
'h
xxxxxxxx
;
bfm_l01
=
bfm_lII
;
end
end
else
begin
bfm_llII
=
32
'h
xxxxxxxx
;
bfm_l01
=
bfm_OII
;
end
end
else
begin
bfm_llII
=
WDATA
;
bfm_l01
=
bfm_III
;
end
end
bfm_lII
:
begin
if
(
CLKEN
)
begin
bfm_IOOI
=
1
'b
1
;
if
(
bfm_I1OI
)
begin
bfm_llII
=
32
'h
xxxxxxxx
;
bfm_l01
=
bfm_OII
;
if
(
bfm_I0OI
)
begin
bfm_O0OI
=
1
'b
1
;
bfm_O1OI
=
1
'b
1
;
end
end
else
begin
if
(
bfm_OOOI
)
begin
bfm_lI1
=
1
'b
1
;
if
(
WRITE
)
begin
bfm_llII
=
bfm_O11
;
bfm_l01
=
bfm_III
;
end
else
begin
bfm_llII
=
32
'h
xxxxxxxx
;
bfm_l01
=
bfm_lII
;
end
end
else
begin
bfm_llII
=
32
'h
xxxxxxxx
;
bfm_l01
=
bfm_OII
;
end
end
end
else
begin
bfm_llII
=
32
'h
xxxxxxxx
;
bfm_l01
=
bfm_lII
;
end
end
default
:
begin
bfm_llII
=
32
'h
xxxxxxxx
;
bfm_l01
=
bfm_lOI
;
end
endcase
end
always
@
(
posedge
CLK
or
negedge
nRESET
)
begin
if
(
!
nRESET
)
begin
bfm_Ol1
<=
bfm_O0
;
bfm_ll1
<=
bfm_l1
;
bfm_I01
<=
bfm_lOI
;
end
else
begin
bfm_Ol1
<=
bfm_Il1
;
bfm_ll1
<=
bfm_O01
;
bfm_I01
<=
bfm_l01
;
end
end
always
@
(
posedge
CLK
or
negedge
nRESET
)
begin
if
(
!
nRESET
)
begin
bfm_OO1
<=
1
'b
0
;
bfm_OI1
<=
1
'b
0
;
end
else
begin
bfm_OO1
<=
bfm_IO1
;
bfm_OI1
<=
bfm_lO1
;
end
end
always
@
(
posedge
CLK
)
begin
if
(
bfm_OO1
)
$write
(
"\n--------- Execution of BFM Script Started ---------\n\n"
)
;
if
(
bfm_OI1
)
begin
@
(
posedge
bfm_OIOI
)
;
$write
(
"\n--------- Execution of BFM Script Complete ---------\n\n"
)
;
$stop
;
end
end
always
@
(
posedge
CLK
or
negedge
nRESET
)
begin
if
(
!
nRESET
)
bfm_OlOI
<=
8
'h
0
;
else
if
(
bfm_OI1
)
bfm_OlOI
<=
bfm_OlOI
+
1
;
end
always
@
(
posedge
CLK
or
negedge
nRESET
)
begin
if
(
!
nRESET
)
bfm_OIOI
<=
1
'b
0
;
else
if
(
bfm_OlOI
==
bfm_ll
)
bfm_OIOI
<=
1
'b
1
;
end
always
@
(
posedge
CLK
or
negedge
nRESET
)
begin
if
(
!
nRESET
)
begin
CPnMREQ
<=
0
;
CPnOPC
<=
0
;
CPSEQ
<=
0
;
CPTBIT
<=
0
;
CPnTRANS
<=
0
;
CPnI
<=
0
;
DBGACK
<=
0
;
DBGCOMMRX
<=
0
;
DBGCOMMTX
<=
0
;
DBGINSTRVALID
<=
0
;
DBGnEXEC
<=
0
;
DBGRNG
<=
2
'b
0
;
DBGnTDOEN
<=
0
;
DBGTDO
<=
0
;
DMORE
<=
0
;
end
else
begin
CPnMREQ
<=
0
;
CPnOPC
<=
0
;
CPSEQ
<=
0
;
CPTBIT
<=
0
;
CPnTRANS
<=
0
;
CPnI
<=
0
;
DBGACK
<=
0
;
DBGCOMMRX
<=
0
;
DBGCOMMTX
<=
0
;
DBGINSTRVALID
<=
0
;
DBGnEXEC
<=
0
;
DBGRNG
<=
2
'b
0
;
DBGnTDOEN
<=
0
;
DBGTDO
<=
0
;
DMORE
<=
0
;
end
end
endmodule
