// File Revision       : 1.6
`timescale 1ns/1ps
module
CoreMP7Bridge_IO0
(
HCLK
,
HRESETn
,
CoreMP7Bridge_O0
,
CoreMP7Bridge_I0
,
CoreMP7Bridge_I
,
CoreMP7Bridge_l
,
CoreMP7Bridge_OI
,
CoreMP7Bridge_II
,
CoreMP7Bridge_lI
,
CoreMP7Bridge_Ol
,
CoreMP7Bridge_Il
,
ADDR
,
PROT
,
SIZE
,
TRANS
,
WRITE
,
LOCK
,
CLKEN
)
;
input
HCLK
;
input
HRESETn
;
input
CoreMP7Bridge_O0
;
input
CoreMP7Bridge_I0
;
output
[
31
:
0
]
CoreMP7Bridge_I
;
output
[
1
:
0
]
CoreMP7Bridge_l
;
output
CoreMP7Bridge_OI
;
output
[
2
:
0
]
CoreMP7Bridge_II
;
output
[
2
:
0
]
CoreMP7Bridge_lI
;
output
[
3
:
0
]
CoreMP7Bridge_Ol
;
output
CoreMP7Bridge_Il
;
input
[
31
:
0
]
ADDR
;
input
[
1
:
0
]
PROT
;
input
[
1
:
0
]
SIZE
;
input
[
1
:
0
]
TRANS
;
input
WRITE
;
input
LOCK
;
output
CLKEN
;
`define CoreMP7Bridge_lO0  \
2 \
'b \
00
`define CoreMP7Bridge_OI0  \
2 \
'b \
01
`define CoreMP7Bridge_II0  \
2 \
'b \
10
`define CoreMP7Bridge_lI0  \
4 \
'b \
0001
`define CoreMP7Bridge_Ol0  \
4 \
'b \
0010
`define CoreMP7Bridge_Il0  \
4 \
'b \
0100
`define CoreMP7Bridge_ll0  \
2 \
'b \
00
`define CoreMP7Bridge_O00  \
2 \
'b \
01
`define CoreMP7Bridge_I00  \
2 \
'b \
10
`define CoreMP7Bridge_l00  \
2 \
'b \
11
`define CoreMP7Bridge_O10  \
2 \
'b \
01
`define CoreMP7Bridge_I10  \
3 \
'b \
000
`define CoreMP7Bridge_l10  \
3 \
'b \
001
`define CoreMP7Bridge_OO1  \
3 \
'b \
011
`define CoreMP7Bridge_IO1  \
3 \
'b \
010
`define CoreMP7Bridge_lO1  \
3 \
'b \
100
`define CoreMP7Bridge_OI1  \
3 \
'b \
101
`define CoreMP7Bridge_II1  \
3 \
'b \
111
`define CoreMP7Bridge_lI1  \
1 \
'b \
0
`define CoreMP7Bridge_Ol1  \
1 \
'b \
1
wire
CoreMP7Bridge_Il1
;
wire
CoreMP7Bridge_ll1
;
wire
[
31
:
0
]
CoreMP7Bridge_O01
;
wire
CoreMP7Bridge_I01
;
wire
CoreMP7Bridge_l01
;
reg
CoreMP7Bridge_O11
;
reg
[
1
:
0
]
CoreMP7Bridge_I11
;
reg
CoreMP7Bridge_l11
;
reg
CoreMP7Bridge_OOOI
;
reg
[
1
:
0
]
CoreMP7Bridge_IOOI
;
reg
CoreMP7Bridge_lOOI
;
reg
[
2
:
0
]
CoreMP7Bridge_OIOI
;
reg
[
2
:
0
]
CoreMP7Bridge_IIOI
;
reg
CoreMP7Bridge_lIOI
;
reg
[
1
:
0
]
CoreMP7Bridge_OlOI
;
reg
CoreMP7Bridge_IlOI
;
reg
CoreMP7Bridge_llOI
;
reg
CoreMP7Bridge_O0OI
;
reg
[
1
:
0
]
CoreMP7Bridge_I0OI
;
reg
[
1
:
0
]
CoreMP7Bridge_l0OI
;
reg
CoreMP7Bridge_O1OI
;
reg
[
31
:
0
]
CoreMP7Bridge_I1OI
;
reg
[
31
:
0
]
CoreMP7Bridge_l1OI
;
reg
[
31
:
0
]
CoreMP7Bridge_OOII
;
reg
[
31
:
0
]
CoreMP7Bridge_IOII
;
reg
CoreMP7Bridge_lOII
;
reg
[
1
:
0
]
CoreMP7Bridge_l
;
reg
CoreMP7Bridge_OIII
;
wire
CoreMP7Bridge_IIII
;
assign
CoreMP7Bridge_IIII
=
CoreMP7Bridge_O0
||
CoreMP7Bridge_OIII
;
always
@
(
negedge
(
HRESETn
)
or
posedge
(
HCLK
)
)
begin
if
(
!
HRESETn
)
begin
CoreMP7Bridge_OIOI
<=
`CoreMP7Bridge_I10
;
CoreMP7Bridge_lOOI
<=
`CoreMP7Bridge_lI1
;
CoreMP7Bridge_IOOI
<=
2
'b
00
;
CoreMP7Bridge_OOOI
<=
1
'b
0
;
CoreMP7Bridge_l11
<=
1
'b
0
;
CoreMP7Bridge_I11
<=
`CoreMP7Bridge_ll0
;
CoreMP7Bridge_O11
<=
1
'b
1
;
end
else
begin
if
(
CoreMP7Bridge_IIII
)
begin
CoreMP7Bridge_OIOI
<=
CoreMP7Bridge_IIOI
;
CoreMP7Bridge_lOOI
<=
CoreMP7Bridge_lIOI
;
CoreMP7Bridge_IOOI
<=
CoreMP7Bridge_OlOI
;
CoreMP7Bridge_OOOI
<=
CoreMP7Bridge_llOI
;
CoreMP7Bridge_l11
<=
CoreMP7Bridge_IlOI
;
CoreMP7Bridge_I11
<=
CoreMP7Bridge_I0OI
;
CoreMP7Bridge_O11
<=
CoreMP7Bridge_O0OI
;
end
end
end
assign
CoreMP7Bridge_Il
=
CoreMP7Bridge_l11
;
always
@
(
CoreMP7Bridge_OIOI
or
CoreMP7Bridge_I01
or
CoreMP7Bridge_l01
or
TRANS
or
CoreMP7Bridge_I0
or
CoreMP7Bridge_O11
)
begin
CoreMP7Bridge_IIOI
=
CoreMP7Bridge_OIOI
;
CoreMP7Bridge_OIII
=
1
'b
0
;
case
(
CoreMP7Bridge_OIOI
)
`CoreMP7Bridge_I10
,
`CoreMP7Bridge_l10
:
if
(
CoreMP7Bridge_I01
)
begin
CoreMP7Bridge_IIOI
=
`CoreMP7Bridge_lO1
;
CoreMP7Bridge_OIII
=
1
'b
0
;
end
else
case
(
TRANS
)
`CoreMP7Bridge_l00
:
begin
CoreMP7Bridge_IIOI
=
`CoreMP7Bridge_OO1
;
CoreMP7Bridge_OIII
=
1
'b
0
;
end
`CoreMP7Bridge_I00
:
begin
if
(
CoreMP7Bridge_l01
==
1
'b
0
)
begin
CoreMP7Bridge_IIOI
=
`CoreMP7Bridge_IO1
;
CoreMP7Bridge_OIII
=
1
'b
1
;
end
else
begin
CoreMP7Bridge_IIOI
=
`CoreMP7Bridge_I10
;
CoreMP7Bridge_OIII
=
1
'b
0
;
end
end
`CoreMP7Bridge_ll0
:
begin
CoreMP7Bridge_IIOI
=
`CoreMP7Bridge_l10
;
CoreMP7Bridge_OIII
=
1
'b
0
;
end
`CoreMP7Bridge_O00
:
begin
CoreMP7Bridge_IIOI
=
`CoreMP7Bridge_I10
;
CoreMP7Bridge_OIII
=
1
'b
0
;
end
default
:
begin
CoreMP7Bridge_IIOI
=
`CoreMP7Bridge_I10
;
CoreMP7Bridge_OIII
=
1
'b
0
;
end
endcase
`CoreMP7Bridge_OO1
:
if
(
CoreMP7Bridge_I01
)
begin
CoreMP7Bridge_IIOI
=
`CoreMP7Bridge_lO1
;
CoreMP7Bridge_OIII
=
1
'b
0
;
end
else
case
(
TRANS
)
`CoreMP7Bridge_l00
:
begin
CoreMP7Bridge_IIOI
=
`CoreMP7Bridge_OO1
;
CoreMP7Bridge_OIII
=
1
'b
0
;
end
`CoreMP7Bridge_I00
:
begin
CoreMP7Bridge_IIOI
=
`CoreMP7Bridge_IO1
;
CoreMP7Bridge_OIII
=
1
'b
1
;
end
`CoreMP7Bridge_ll0
:
begin
CoreMP7Bridge_IIOI
=
`CoreMP7Bridge_l10
;
CoreMP7Bridge_OIII
=
1
'b
0
;
end
`CoreMP7Bridge_O00
:
begin
CoreMP7Bridge_IIOI
=
`CoreMP7Bridge_I10
;
CoreMP7Bridge_OIII
=
1
'b
0
;
end
default
:
begin
CoreMP7Bridge_IIOI
=
`CoreMP7Bridge_I10
;
CoreMP7Bridge_OIII
=
1
'b
0
;
end
endcase
`CoreMP7Bridge_IO1
:
if
(
CoreMP7Bridge_I01
)
begin
CoreMP7Bridge_IIOI
=
`CoreMP7Bridge_lO1
;
CoreMP7Bridge_OIII
=
1
'b
0
;
end
else
case
(
TRANS
)
`CoreMP7Bridge_l00
:
begin
CoreMP7Bridge_IIOI
=
`CoreMP7Bridge_OO1
;
CoreMP7Bridge_OIII
=
1
'b
0
;
end
`CoreMP7Bridge_I00
:
begin
if
(
CoreMP7Bridge_O11
==
1
'b
0
)
CoreMP7Bridge_IIOI
=
`CoreMP7Bridge_IO1
;
else
CoreMP7Bridge_IIOI
=
`CoreMP7Bridge_OO1
;
CoreMP7Bridge_OIII
=
1
'b
0
;
end
`CoreMP7Bridge_ll0
:
begin
CoreMP7Bridge_IIOI
=
`CoreMP7Bridge_l10
;
CoreMP7Bridge_OIII
=
1
'b
0
;
end
`CoreMP7Bridge_O00
:
begin
CoreMP7Bridge_IIOI
=
`CoreMP7Bridge_I10
;
CoreMP7Bridge_OIII
=
1
'b
0
;
end
default
:
begin
CoreMP7Bridge_IIOI
=
`CoreMP7Bridge_I10
;
CoreMP7Bridge_OIII
=
1
'b
0
;
end
endcase
`CoreMP7Bridge_lO1
:
begin
CoreMP7Bridge_IIOI
=
`CoreMP7Bridge_OI1
;
CoreMP7Bridge_OIII
=
1
'b
0
;
end
`CoreMP7Bridge_OI1
:
if
(
CoreMP7Bridge_I0
)
begin
CoreMP7Bridge_IIOI
=
`CoreMP7Bridge_I10
;
CoreMP7Bridge_OIII
=
1
'b
0
;
end
else
begin
CoreMP7Bridge_IIOI
=
`CoreMP7Bridge_II1
;
CoreMP7Bridge_OIII
=
1
'b
0
;
end
`CoreMP7Bridge_II1
:
begin
CoreMP7Bridge_IIOI
=
`CoreMP7Bridge_I10
;
CoreMP7Bridge_OIII
=
1
'b
0
;
end
default
:
begin
CoreMP7Bridge_IIOI
=
`CoreMP7Bridge_I10
;
CoreMP7Bridge_OIII
=
1
'b
0
;
end
endcase
end
always
@
(
CoreMP7Bridge_I01
or
TRANS
or
CoreMP7Bridge_OIOI
or
CoreMP7Bridge_O11
)
begin
if
(
CoreMP7Bridge_I01
)
CoreMP7Bridge_lIOI
=
`CoreMP7Bridge_lI1
;
else
if
(
(
TRANS
==
`CoreMP7Bridge_l00
)
||
(
(
CoreMP7Bridge_OIOI
==
`CoreMP7Bridge_IO1
)
&&
(
TRANS
==
`CoreMP7Bridge_I00
)
&&
(
CoreMP7Bridge_O11
==
1
'b
1
)
)
)
CoreMP7Bridge_lIOI
=
`CoreMP7Bridge_Ol1
;
else
CoreMP7Bridge_lIOI
=
`CoreMP7Bridge_lI1
;
end
always
@
(
CoreMP7Bridge_I01
or
TRANS
or
PROT
or
CoreMP7Bridge_IOOI
)
begin
if
(
CoreMP7Bridge_I01
)
CoreMP7Bridge_OlOI
=
PROT
;
else
case
(
TRANS
)
`CoreMP7Bridge_ll0
:
CoreMP7Bridge_OlOI
=
{
PROT
[
1
]
,
1
'b
0
}
;
`CoreMP7Bridge_l00
:
CoreMP7Bridge_OlOI
=
CoreMP7Bridge_IOOI
;
`CoreMP7Bridge_I00
,
`CoreMP7Bridge_O00
:
CoreMP7Bridge_OlOI
=
PROT
;
default
:
CoreMP7Bridge_OlOI
=
PROT
;
endcase
end
always
@
(
CoreMP7Bridge_I01
or
CoreMP7Bridge_OIOI
)
begin
if
(
(
CoreMP7Bridge_OIOI
==
`CoreMP7Bridge_lO1
||
CoreMP7Bridge_OIOI
==
`CoreMP7Bridge_OI1
)
||
CoreMP7Bridge_I01
)
CoreMP7Bridge_IlOI
=
1
'b
1
;
else
CoreMP7Bridge_IlOI
=
1
'b
0
;
end
always
@
(
CoreMP7Bridge_OIOI
or
CoreMP7Bridge_OOOI
or
WRITE
)
begin
if
(
CoreMP7Bridge_OIOI
==
`CoreMP7Bridge_lO1
)
CoreMP7Bridge_llOI
=
CoreMP7Bridge_OOOI
;
else
CoreMP7Bridge_llOI
=
WRITE
;
end
always
@
(
CoreMP7Bridge_I01
or
TRANS
or
CoreMP7Bridge_OIOI
or
CoreMP7Bridge_I0
or
CoreMP7Bridge_Il1
)
begin
if
(
CoreMP7Bridge_I01
)
begin
CoreMP7Bridge_I0OI
=
`CoreMP7Bridge_ll0
;
if
(
CoreMP7Bridge_Il1
==
1
'b
0
)
CoreMP7Bridge_O0OI
=
1
'b
1
;
else
CoreMP7Bridge_O0OI
=
1
'b
0
;
end
else
case
(
CoreMP7Bridge_OIOI
)
`CoreMP7Bridge_l10
,
`CoreMP7Bridge_I10
,
`CoreMP7Bridge_OO1
:
case
(
TRANS
)
`CoreMP7Bridge_l00
:
begin
CoreMP7Bridge_I0OI
=
`CoreMP7Bridge_l00
;
CoreMP7Bridge_O0OI
=
1
'b
1
;
end
`CoreMP7Bridge_I00
:
begin
CoreMP7Bridge_I0OI
=
`CoreMP7Bridge_I00
;
if
(
CoreMP7Bridge_Il1
==
1
'b
0
)
CoreMP7Bridge_O0OI
=
1
'b
1
;
else
CoreMP7Bridge_O0OI
=
1
'b
0
;
end
`CoreMP7Bridge_ll0
:
begin
CoreMP7Bridge_I0OI
=
`CoreMP7Bridge_I00
;
CoreMP7Bridge_O0OI
=
1
'b
1
;
end
`CoreMP7Bridge_O00
:
begin
CoreMP7Bridge_I0OI
=
`CoreMP7Bridge_ll0
;
CoreMP7Bridge_O0OI
=
1
'b
1
;
end
default
:
begin
CoreMP7Bridge_I0OI
=
`CoreMP7Bridge_ll0
;
CoreMP7Bridge_O0OI
=
1
'b
1
;
end
endcase
`CoreMP7Bridge_IO1
:
case
(
TRANS
)
`CoreMP7Bridge_l00
:
begin
CoreMP7Bridge_I0OI
=
`CoreMP7Bridge_l00
;
CoreMP7Bridge_O0OI
=
1
'b
1
;
end
`CoreMP7Bridge_ll0
,
`CoreMP7Bridge_O00
:
begin
CoreMP7Bridge_I0OI
=
`CoreMP7Bridge_ll0
;
CoreMP7Bridge_O0OI
=
1
'b
1
;
end
`CoreMP7Bridge_I00
:
begin
if
(
CoreMP7Bridge_Il1
==
1
'b
0
)
CoreMP7Bridge_I0OI
=
`CoreMP7Bridge_I00
;
else
CoreMP7Bridge_I0OI
=
`CoreMP7Bridge_l00
;
CoreMP7Bridge_O0OI
=
1
'b
1
;
end
default
:
begin
CoreMP7Bridge_I0OI
=
`CoreMP7Bridge_ll0
;
CoreMP7Bridge_O0OI
=
1
'b
1
;
end
endcase
`CoreMP7Bridge_lO1
:
begin
CoreMP7Bridge_I0OI
=
`CoreMP7Bridge_I00
;
CoreMP7Bridge_O0OI
=
1
'b
0
;
end
`CoreMP7Bridge_OI1
:
if
(
CoreMP7Bridge_I0
)
begin
CoreMP7Bridge_I0OI
=
`CoreMP7Bridge_ll0
;
CoreMP7Bridge_O0OI
=
1
'b
1
;
end
else
begin
CoreMP7Bridge_I0OI
=
`CoreMP7Bridge_I00
;
CoreMP7Bridge_O0OI
=
1
'b
1
;
end
`CoreMP7Bridge_II1
:
begin
CoreMP7Bridge_I0OI
=
`CoreMP7Bridge_ll0
;
CoreMP7Bridge_O0OI
=
1
'b
1
;
end
default
:
begin
CoreMP7Bridge_I0OI
=
`CoreMP7Bridge_ll0
;
CoreMP7Bridge_O0OI
=
1
'b
1
;
end
endcase
end
always
@
(
negedge
(
HRESETn
)
or
posedge
(
HCLK
)
)
begin
if
(
!
HRESETn
)
CoreMP7Bridge_l0OI
<=
2
'b
00
;
else
if
(
CoreMP7Bridge_IIII
)
CoreMP7Bridge_l0OI
<=
SIZE
;
end
assign
CoreMP7Bridge_II
=
{
1
'b
0
,
CoreMP7Bridge_l0OI
}
;
assign
CoreMP7Bridge_lI
=
3
'b
001
;
assign
CoreMP7Bridge_OI
=
CoreMP7Bridge_OOOI
;
assign
CoreMP7Bridge_Ol
=
{
2
'b
00
,
CoreMP7Bridge_IOOI
}
;
always
@
(
negedge
(
HRESETn
)
or
posedge
(
HCLK
)
)
begin
if
(
!
HRESETn
)
CoreMP7Bridge_O1OI
<=
1
'b
0
;
else
begin
if
(
CoreMP7Bridge_O0
)
CoreMP7Bridge_O1OI
<=
LOCK
;
end
end
assign
CoreMP7Bridge_I01
=
LOCK
&
(
~
CoreMP7Bridge_O1OI
)
;
assign
CoreMP7Bridge_l01
=
(
~
LOCK
)
&
CoreMP7Bridge_O1OI
;
always
@
(
CoreMP7Bridge_l0OI
or
CoreMP7Bridge_O01
)
begin
case
(
CoreMP7Bridge_l0OI
)
`CoreMP7Bridge_lO0
:
CoreMP7Bridge_I1OI
=
CoreMP7Bridge_O01
+
`CoreMP7Bridge_lI0
;
`CoreMP7Bridge_OI0
:
CoreMP7Bridge_I1OI
=
CoreMP7Bridge_O01
+
`CoreMP7Bridge_Ol0
;
default
:
CoreMP7Bridge_I1OI
=
CoreMP7Bridge_O01
+
`CoreMP7Bridge_Il0
;
endcase
end
always
@
(
negedge
(
HRESETn
)
or
posedge
(
HCLK
)
)
begin
if
(
!
HRESETn
)
CoreMP7Bridge_l1OI
<=
32
'h
0000_0000
;
else
begin
if
(
CoreMP7Bridge_O0
)
CoreMP7Bridge_l1OI
<=
CoreMP7Bridge_I1OI
;
end
end
always
@
(
negedge
(
HRESETn
)
or
posedge
(
HCLK
)
)
begin
if
(
!
HRESETn
)
CoreMP7Bridge_OOII
<=
32
'h
0000_0000
;
else
CoreMP7Bridge_OOII
<=
ADDR
;
end
always
@
(
CoreMP7Bridge_l0OI
or
CoreMP7Bridge_OOII
)
begin
case
(
CoreMP7Bridge_l0OI
)
`CoreMP7Bridge_II0
:
CoreMP7Bridge_IOII
=
{
CoreMP7Bridge_OOII
[
31
:
2
]
,
2
'b
00
}
;
`CoreMP7Bridge_OI0
:
CoreMP7Bridge_IOII
=
{
CoreMP7Bridge_OOII
[
31
:
1
]
,
1
'b
0
}
;
default
:
CoreMP7Bridge_IOII
=
CoreMP7Bridge_OOII
;
endcase
end
assign
CoreMP7Bridge_O01
=
(
CoreMP7Bridge_lOOI
==
`CoreMP7Bridge_lI1
?
CoreMP7Bridge_IOII
:
CoreMP7Bridge_l1OI
)
;
assign
CoreMP7Bridge_I
=
CoreMP7Bridge_O01
;
assign
CoreMP7Bridge_Il1
=
CoreMP7Bridge_O11
&
CoreMP7Bridge_O0
;
assign
CLKEN
=
CoreMP7Bridge_Il1
;
assign
CoreMP7Bridge_ll1
=
(
(
(
CoreMP7Bridge_l0OI
[
1
]
==
1
'b
1
&&
CoreMP7Bridge_O01
[
9
:
2
]
==
8
'b
11111111
)
||
(
CoreMP7Bridge_l0OI
[
1
]
==
1
'b
0
&&
CoreMP7Bridge_O01
[
9
:
1
]
==
9
'b
111111111
)
)
?
1
'b
1
:
1
'b
0
)
;
always
@
(
negedge
(
HRESETn
)
or
posedge
(
HCLK
)
)
begin
if
(
!
HRESETn
)
CoreMP7Bridge_lOII
<=
1
'b
0
;
else
begin
if
(
CoreMP7Bridge_O0
)
CoreMP7Bridge_lOII
<=
CoreMP7Bridge_ll1
;
end
end
always
@
(
CoreMP7Bridge_OIOI
or
TRANS
or
CoreMP7Bridge_lOII
or
CoreMP7Bridge_I11
)
begin
if
(
(
CoreMP7Bridge_OIOI
==
`CoreMP7Bridge_OO1
||
CoreMP7Bridge_OIOI
==
`CoreMP7Bridge_l10
)
&&
TRANS
!=
`CoreMP7Bridge_l00
)
CoreMP7Bridge_l
=
`CoreMP7Bridge_ll0
;
else
if
(
CoreMP7Bridge_OIOI
==
`CoreMP7Bridge_OO1
&&
CoreMP7Bridge_lOII
)
CoreMP7Bridge_l
=
`CoreMP7Bridge_I00
;
else
CoreMP7Bridge_l
=
CoreMP7Bridge_I11
;
end
endmodule
